h, w = map(int, input().split())
area = 0
vvod = [(h, w)]

while vvod:
    n, m = vvod.pop()
    area += n * m

    if n >= 2 and n * (m // 2) > area:
        vvod.append((n, m // 2))
    if m >= 2 and (n // 2) * m > area:
        vvod.append((n // 2, m))

print(area)
